
Foreman - Feature #463

rack task to reset permissions

11/14/2010 09:00 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In case a  user has locked him self out (e.g. he is the admin user and he demoted his permissions), or just in case people got stuck

from cases prior the #461 fix, a simple rack task to reset the admin account should be provided

Associated revisions

Revision 18f15161 - 11/29/2010 03:27 AM - Ohad Levy

fixes #463 - adds a simple rake task to reset administrator user account.

History

#1 - 11/15/2010 07:57 PM - Ohad Levy

- Subject changed from rack tast to reset permissions to rack task to reset permissions

#2 - 11/29/2010 07:22 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 18f15161be619cfc43f48edd50c295f3bce53d90.

#3 - 11/29/2010 07:25 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
